Skip to content
Back to top
View this page

# API Reference

Attention

🚧 Under Construction - There might be incompatible interface changes between minor versions of version zero!

If you want to use the library in a project while it’s still on version zero, ensure you pin the dependency to a specific minor version e.g `>=0.4,<0.5`.

On this note, you probably also want to switch to the specific documentation for the version you’re using (somewhere at the lower left corner of this page).

Attention

Any module or definition not documented here should be considered part of the private interface and can be changed or removed at any time without notice.

Sub-sections:

- Top-Level Definitions
  - Constants
  - Enumerations
  - Functions
- `image` Module
  - Functions
  - Enumerations
  - Image Classes
  - Other Classes
- `widget` Module
  - `UrwidImage`
  - `UrwidImageCanvas`
  - `UrwidImageScreen`
- `exceptions` Module
  - `TermImageWarning`
  - `TermImageError`
  - `InvalidSizeError`
  - `RenderError`
  - `StyleError`
  - `URLNotFoundError`
  - `UrwidImageError`
- `utils` Module
  - `get_cell_size()`
  - `get_terminal_name_version()`
  - `get_terminal_size()`
  - `lock_tty()`
  - `read_tty_all()`
  - `write_tty()`